package com.zd.common.core.utils;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

/**
 * 系统文件配置类
 */

@RefreshScope
@Configuration
@ConfigurationProperties(prefix = "sys.file")
public class FileConfigUtils {
    /**
     * 文件本地地址
     */
    private String localUrl;
    /**
     * 文件远程地址
     */
    private String remoteUrl;


    public String getLocalUrl() {
        return localUrl;
    }

    public void setLocalUrl(String localUrl) {
        this.localUrl = localUrl;
    }

    public String getRemoteUrl() {
        return remoteUrl;
    }

    public void setRemoteUrl(String remoteUrl) {
        this.remoteUrl = remoteUrl;
    }
}
